### Function Macro

# GObject TYPE_CHECK_INSTANCE_TYPE

since: 2.0

#### Declaration

    #define G_TYPE_CHECK_INSTANCE_TYPE (
      instance,
      g_type
    )

#### Description

Checks if `instance` is an instance of the type identified by `g_type`. If `instance` is `NULL`, `FALSE` will be returned.

This macro should only be used in type implementations.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`instance`

  Type: `-`

  Location of a `GTypeInstance` structure.

`g_type`

  Type: `-`

  The type to be checked.